Subject: Re: [PATCH net-next v10 10/11] vxlan: respect scope_id for ll addr

From: Cong Wang <[email-masked]>
Date: Fri, 30 Aug 2013 16:10:50 +0800

On Thu, 2013-08-29 at 17:20 -0400, David Stevens wrote:
> [email-masked] wrote on 08/28/2013 01:22:58 AM:
> 
> > From: Cong Wang <[email-masked]>
>  
> > As pointed out by David, we should take care of scope id for ll
> > addr, and use it for route lookup.
> 
>         It is an error to have a zero scope_id for an LL addr, but
> this code is not correct, because it only honors scope_id for
> LL addrs. Multicast addresses also require scope_id be set.
>         This shouldn't be in the transmit path. The netlink code
> that sets it should require it be nonzero for LL addrs and multicast
> addrs when it is set, and the transmit path should *always* use scope_id,
> whether for an lladdr or not, whether scope_id is zero or not.
> 

Except multicast address, I think this is what I did in some version
before? It is you who told me to respect scope id on tx path for
routing... I am really tired of changing it back again and again...

I will drop this patch and let you fix it by yourself later.

Thanks!